POST /api/v3/glsubcode

Edit General Ledger Subcode definitions - update name, type and if "list" type edit (add/delete/edit) pick list values. One or more subcodes can be edited.

EditGLSubCodesV3 Permissions: AccountingSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Array of:

GLSubcodeRequest
Property Description Type
subCodeIndex Index of this subcode (1-20) Required Must be between 1 and 20 integer (int32)
subCodeName Name for this SubCode Required Must be between 0 and 32 characters string
subCodeType SubCodeType - should be “list”(fixed=1 in DB) or “text” (fixed=0 in DB) Required One of ’list’, ’text’ string
subCodeValues An array of pick list values when this subcode is a “list” Required when subCodeType is set to list string[]
Example Request Body application/json
[
  {    "subCodeIndex": 1,    "subCodeName": "string",    "subCodeType": "string",    "subCodeValues": [
      "string"
    ]
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GLSubcodeResponse
Property Description Type
subCodeIndex Index of this subcode (01-20) string
subCodeName Name for this SubCode string
subCodeType SubCodeType - will be “list”(if fixed=1 in DB) or “text” (if fixed=0) in DB string
subCodeValues An array of pick list values when this subcode is a “list” string[]
Example Response application/json
[
  {    "subCodeIndex": "string",    "subCodeName": "string",    "subCodeType": "string",    "subCodeValues": [
      "string"
    ]
  }
]